%define pluginver 4
%define momorel 3
%define md5sum_src0 12e136a4c0995068ff134997c84421ed

Summary:	Cross Platform Audio Output Library
Name:		libao
Version:	0.8.6
Release: %{momorel}m%{?dist}
Group:		System Environment/Libraries
License:	GPL
URL:		http://www.xiph.org/ao/
%NoSource 0	http://downloads.xiph.org/releases/ao/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	esound >= 0.2.8
BuildPreReq:    glibc-devel, perl
BuildPreReq:	arts-devel >= 1.0.3-2m

%description
Libao is a cross platform audio output library.  It currently supports
ESD, aRts, ALSA, OSS, *BSD and Solaris.

%package devel
Summary: Cross Platform Audio Output Library Development
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The libao-devel package contains the header files and documentation
needed to develop applications with libao.

%prep
%setup -q -n %{name}-%{version}

perl -p -i -e "s/-O20/%{optflags}/" configure
perl -p -i -e "s/-ffast-math//" configure

%build
%configure --enable-static --enable-alsa09 --disable-nas

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%files
%defattr(-,root,root)
%doc AUTHORS
%doc CHANGES
%doc COPYING
%doc README
%{_libdir}/libao.so.*
%{_libdir}/ao/*/liboss.so
%{_libdir}/ao/*/libesd.so
%{_libdir}/ao/*/libarts.so
%{_libdir}/ao/*/libalsa09.so
%{_libdir}/ao/*/liboss.la
%{_libdir}/ao/*/libesd.la
%{_libdir}/ao/*/libarts.la
%{_libdir}/ao/*/libalsa09.la
%{_mandir}/man5/*

%files devel
%defattr(-,root,root)
%doc doc/*.html
%doc doc/*.css
%doc doc/ao_example.c
%{_includedir}/ao
%{_libdir}/libao.so
%{_libdir}/libao.a
%{_libdir}/ao/*/*.a
%{_datadir}/aclocal/ao.m4
%{_libdir}/pkgconfig/ao.pc

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Mon Jul 16 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.6-3m)
- add configure option --disable-nas
- add -maxdepth 1 to del .la

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.6-2m)
- delete libtool library

* Mon May 29 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.8.6-1m)
- update to 0.8.6

* Fri May 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.5-2m)
- suppress AC_DEFUN warning.

* Thu Apr 22 2004 Tetsuo Sakai <tetsuos@zephyr.dti.ne.jp>
- (0.8.5-1m)
- update to 0.8.5
- Support now for the ALSA 1.0 API
- use %%configure, --enable-alsa09
- add pkgconfig/ao.pc
- change URL

* Mon Apr 12 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.8.3-5m)
- rebuild against for esound-0.2.34

* Wed Oct 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.3-4m)
- kill %%define name
- kill %%define version
- fix change configure by perl

* Tue Aug 27 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.8.3-3m)
- rebuild against arts-1.0.3-2m

* Wed Jul 31 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.8.3-2m)
- BuildPreReq: alsa-lib, arts-devel

* Fri Jul 19 2002 Kentarou SHINOHARA <putnium@momonga-linux.org>
- (0.8.3.1m)
- upgrade to 0.8.3
- removed requires alsa >= 0.9.0 from vorbis.com specfile

* Wed Apr 17 2002 Hidetomo Machi <mcht@kondara.org>
- (0.8.2-2k)
- update to 0.8.2 release
- include man file (%files)

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (0.8.0-4k)
- nigittenu

* Thu Oct 18 2001 Toru Hoshina <t@kondara.org>
- (0.8.0-2k)
- merge from Jirai.

* Fri Apr 13 2001 Daiki Matsuda <dyky@df-usa.com>
- (0.5.0-12k)
- change devel package to require library package

* Fri Mar 30 2001 Toru Hoshina <toru@df-usa.com>
- (0.5.0-11k)
- rebuild against audiofile-0.2.1.

* Wed Mar 21 2001 Motonobu Ichimura <famao@kondara.org>
- (0.5.0-9k)
- change group name

* Tue Jan 16 2001 Kenichi Matsubara <m@kondara.org>
- (0.5.0-7k)
- %defattr(-,root,root).

* Sun Dec 24 2000 Kenichi Matsubara <m@kondara.org>
- (0.5.0-5k)
- rebuild against audiofile-0.2.0.

* Mon Dec 11 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- to NoSource(source from http://www.vorbis.com/download.new.html)
- TAG changed (Copyright -> License)

* Mon Dec 11 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- 1st release

* Sun Sep 03 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created
